<!DOCTYPE html>
<html lang="es">
    <head>
        <title>Pecas: herramientas editoriales</title>
        <meta charset="utf-8" />
        <meta name="application-name" content="Pecas">
        <meta name="description" content="Conjunto de scripts que agilizan varios de los procesos del quehacer editorial. ">
        <meta name="keywords" content="nika,zhenya,pecas,epub,ebook,publishing,libros,pandoc,ghostscript,tesseract,latex,context,jats,pdf-document,pdf-generation,tex,automation,markdown,html,xhtml,mobi">
        <link type="text/css" rel="stylesheet" href="../css/styles.css">
        <!-- 
        <link rel="shortcut icon" href="favicon.ico">
         -->
    </head>
    <body>
        <header>
            <h1><a href="../index.html">Pecas</a></h1>
            <p>Conjunto de <i>scripts</i> que agilizan varios de los procesos del quehacer editorial.</p>
            <nav>
                <h3>Generales</h3>
                <p><a href="flujo_general.html">Flujo de trabajo general</a></p>
                <p><a href="flujo_digitization.html">Flujo de trabajo para la digitalización</a></p>
                <p><a href="flujo_epub.html">Flujo de trabajo para <span class="versalita">EPUB</span></a></p>
                <p><a href="problemas.html">Solución de problemas / <span class="versalita">FAQ</span></a></p>
                <h3>Documentación</h3>
                <p><a href="herramientas.html">Herramientas</a></p>
                <p><a href="md.html">Markdown</a></p>
                <p><a href="css.html"><span class="versalita">CSS</span></a></p>
                <p><a href="yaml.html"><span class="versalita">YAML</span></a></p>
                <p><a href="js.html">JavaScript</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Código</h3>
                <p><a href="https://gitlab.com/prolibreros/herramientas/pecas-legacy" target="_blank">GitLab</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Contacto</h3>
                <p><a href="mailto:hi@perrotuerto.blog">hi@perrotuerto.blog</a></p>
            </nav>
        </header>
        <section>
            <h1 id="uso-de-pccreator">Uso de <code>pc-creator</code></h1>
            <p>Creator crea un proyecto para <span class="smallcap">EPUB</span> con distintas opciones.</p>
            <h2 id="uso">Uso:</h2>
            <pre class="">
                <code class="code-line-1">pc-creator</code>
            </pre>
            <h2 id="parametros-opcionales">Parámetros opcionales:</h2>
            <ul>
                <li>
                    <p><code>-d</code> = [directory] Directorio donde se creará el proyecto.</p>
                </li>
                <li>
                    <p><code>-o</code> = [output] Nombre del proyecto.</p>
                </li>
                <li>
                    <p><code>-s</code> = [style sheet] Ruta al archivo <span class="smallcap">CSS</span> que se desea incluir.</p>
                </li>
                <li>
                    <p><code>-c</code> = [cover] Ruta a la imagen de portada que se desea incluir.</p>
                </li>
                <li>
                    <p><code>-i</code> = [images] Ruta a la carpeta con las imágenes que se desean incluir.</p>
                </li>
                <li>
                    <p><code>-x</code> = [xhtml] Ruta a la carpeta con los archivos <span class="smallcap">XHTML</span> que se desean incluir.</p>
                </li>
                <li>
                    <p><code>-j</code> = [js] Ruta a la carpeta 'js' con los archivos JavaScript que se desean incluir.</p>
                </li>
                <li>
                    <p><code>&#45;&#45;fonts</code> = Ruta a la carpeta 'fonts' con las fuentes que se desean incluir.</p>
                </li>
                <li>
                    <p><code>&#45;&#45;fallbacks</code> = Ruta a la carpeta 'fbk' con los archivos con fallbacks que se desean incluir.</p>
                </li>
            </ul>
            <h2 id="parametros-unicos">Parámetros únicos:</h2>
            <ul>
                <li>
                    <p><code>-v</code> = [version] Muestra la versión.</p>
                </li>
                <li>
                    <p><code>-h</code> = [help] Muestra esta ayuda.</p>
                </li>
                <li>
                    <p><code>&#45;&#45;no-pre</code> = [preliminary] Evita la creación de contenidos preliminares (portada, portadilla y legal).</p>
                </li>
            </ul>
            <h2 id="ejemplo-sencillo">Ejemplo sencillo:</h2>
            <pre class="">
                <code class="code-line-1">pc-creator</code>
            </pre>
            <p>Crea un proyecto <span class="smallcap">EPUB</span> en el directorio actual y con el nombre <code>epub-creator</code>.</p>
            <h2 id="ejemplo-en-un-directorio-especifico">Ejemplo en un directorio específico:</h2>
            <pre class="">
                <code class="code-line-1">pc-creator -d directorio/deseado</code>
            </pre>
            <p>Crea un proyecto <span class="smallcap">EPUB</span> en <code>directorio/deseado</code> y con el nombre <code>epub-creator</code>.</p>
            <h2 id="ejemplo-en-un-directorio-y-nombre-especificos">Ejemplo en un directorio y nombre específicos:</h2>
            <pre class="">
                <code class="code-line-1">pc-creator -d directorio/deseado -o proyecto_epub</code>
            </pre>
            <p>Crea un proyecto <span class="smallcap">EPUB</span> en <code>directorio/deseado</code> y con el nombre <code>proyecto_epub</code>.</p>
            <h2 id="ejemplo-en-un-directorio-y-nombre-especificos-e-incluyendo-una-hoja-de-estilo">Ejemplo en un directorio y nombre específicos, e incluyendo una hoja de estilo:</h2>
            <pre class="">
                <code class="code-line-1">pc-creator -d directorio/deseado -o proyecto_epub -s ruta/al/archivo.css</code>
            </pre>
            <p>Crea un proyecto <span class="smallcap">EPUB</span> como el ejemplo anterior, incluyendo la hoja de estilo <code>archivo.css</code> en lugar del <span class="smallcap">CSS</span> por defecto.</p>
            <h2 id="ejemplo-en-un-directorio-y-nombre-especificos-e-incluyendo-una-hoja-de-estilo-y-una-portada">Ejemplo en un directorio y nombre específicos, e incluyendo una hoja de estilo y una portada:</h2>
            <pre class="">
                <code class="code-line-1">pc-creator -d directorio/deseado -o proyecto_epub -s ruta/al/archivo.css -c ruta/a/la/portada.jpg</code>
            </pre>
            <p>Crea un proyecto <span class="smallcap">EPUB</span> como el ejemplo anterior, incluyendo un <span class="smallcap">XHTML</span> que muestra la imagen de <code>portada.jpg</code>.</p>
            <h2 id="ejemplo-en-un-directorio-y-nombre-especificos-e-incluyendo-una-hoja-de-estilo-una-portada-y-varias-imagenes">Ejemplo en un directorio y nombre específicos, e incluyendo una hoja de estilo, una portada y varias imágenes:</h2>
            <pre class="">
                <code class="code-line-1">pc-creator -d directorio/deseado -o proyecto_epub -s ruta/al/archivo.css -c ruta/a/la/portada.jpg -i ruta/al/directorio/con/imagenes</code>
            </pre>
            <p>Crea un proyecto <span class="smallcap">EPUB</span> como el ejemplo anterior, incluyendo una copia de las imágenes presentes en <code>ruta/al/directorio/con/imagenes</code>.</p>
            <h2 id="ejemplo-para-solo-crear-un-archivo-css">Ejemplo para solo crear un archivo <span class="smallcap">CSS</span>:</h2>
            <pre class="">
                <code class="code-line-1">pc-creator --only-css</code>
            </pre>
            <p>Crea solo un archivo <span class="smallcap">CSS</span> con los estilos por defecto.</p>
            <h2 id="ejemplo-para-solo-crear-un-archivo-css-en-una-ubicacion-especifica">Ejemplo para solo crear un archivo <span class="smallcap">CSS</span> en una ubicación específica:</h2>
            <pre class="">
                <code class="code-line-1">pc-creator -d directorio/deseado --only-css</code>
            </pre>
            <p>Igual que le ejemplo anterior pero la hoja se crea en <code>directorio/deseado</code>.</p>
            <hr class="espacio-arriba3"/>
                <p class="espacio-arriba3">Nota: el proyecto <span class="smallcap">EPUB</span> generará un archivo <code>meta-data.yaml</code> que sirve para los metadatos del libro. Si se desconoce cómo usar el archivo, consúltese la documentación de <span class="smallcap">YAML</span> en &lt;http://pecas.cliteratu.re&gt;. Si no se usará pc-recreator para generar el <span class="smallcap">EPUB</span>, este archivo es innecesario y puede eliminarse.</p>
            </section>
            <footer>
                <nav class="espacio-arriba1">
                    <h3>Código</h3>
                    <p><a href="https://gitlab.com/prolibreros/herramientas/pecas-legacy" target="_blank">GitLab</a></p>
                </nav>
                <nav class="espacio-arriba1">
                    <h3>Contacto</h3>
                    <p><a href="mailto:hi@perrotuerto.blog">hi@perrotuerto.blog</a></p>
                </nav>
                <p class="centrado espacio-arriba1">Pecas es <i>software</i> libre bajo licencia <a href="https://gnu.org/licenses/gpl.html" target="_blank">GPLv3+</a>.</p>
            </footer>
            <style>
            body {margin:0;}
            body > * {float:left;}
            body > section {width:calc(75% - 10em);margin:5em;}
            header {width:calc(25% - 5em);margin-top: 5em;padding:2.5em;background-color:black;color:white;border-radius:0 .5em .5em 0;}
            header h1 {margin:0; font-size: 2em;}
            header h1 + p {margin-top:1em!important;}
            header h3 {margin-top:1em;}
            header a {color: white;}
            header p, footer nav {text-align:left;}
            header p + p, footer p + p {text-indent:0;}
            header nav > p:before {content:"> ";}
            h2:before {content: "> ";}
            div.example h2:before {content: none;}
            div.example:after {display:block;width:100%;content:"Estilo por defecto";margin-top:-1.5em;text-align:center;font-size:.75em;}
            div.example > div {clear:both;}
            div.example > div:last-child {width:94.5%;margin:2em auto;padding:.5em;box-shadow: .1em .1em .5em rgba(0,0,0,.45);}
            div.example > div > div {float:left;width:50%;}
            div.example > div > div:before {display:block;width:100%;margin-bottom:-1em;text-align:center;font-size:.75em;}
            div.example > div > div:first-child:before {content:"Escritura en Markdown";}
            div.example > div > div:last-child:before {content:"Resultado en HTML";}
            div.example + div.example {border-top: 1px dashed black;margin-top:1.5em;padding-top:1.5em;}
            footer {border-top: 1px dashed black; width:calc(100% - 2em); margin: 1em;}
            footer > nav {display:none;}
            footer nav > * {display:inline;}
            footer nav > p:before {content:"> ";}
            footer nav > p:not(:first-of-type):before {content:"| ";}
            @media screen and (max-width: 768px) {
            body > * {float:none;}
            body > section {width:calc(100% - 5em);margin:2.5em;}
            header {width:calc(100% - 5em);margin-top:0;border-radius:0;}
            header > p:first-of-type {display:inline;}
            header > nav:not(:first-of-type) {display:none;}
            header nav > * {display:inline;}
            header nav > p:before {content:"| ";}
            header h3 + p:before {content: none;}
            header h3:before {content:"\a\a";white-space: pre;}
            header h3:first-of-type:before {content:"\a";}
            header h3:after {content: " > ";}
            div.example > div, div.example > div > div {float:none;width:100%;}
            footer {word-wrap: break-word;}
            footer > nav {display:block;text-align:center;}
            }
            </style>
        </body>
    </html>
